### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xtmrctr_options.c File Reference

## Detailed Description

Contains configuration options functions for the XTmrCtr component.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00b jhl  02/06/02 First release
     1.10b mta  03/21/07 Updated to new coding style

## Data Structures
struct | Mapping
## Functions
void | XTmrCtr_SetOptions (XTmrCtr *InstancePtr, u8 TmrCtrNumber, u32 Options)
u32 | XTmrCtr_GetOptions (XTmrCtr *InstancePtr, u8 TmrCtrNumber)

## Function Documentation

u32 XTmrCtr_GetOptions | ( | XTmrCtr * | InstancePtr,
|  | u8 | TmrCtrNumber
| ) |

  | Get the options for the specified timer counter. Parameters:
  | InstancePtr | is a pointer to the XTmrCtr instance.
  | TmrCtrNumber | is the timer counter of the device to operate on Each device may contain multiple timer counters. The timer number is a zero based number with a range of 0 - (XTC_DEVICE_TIMER_COUNT - 1).
Returns: The currently set options. An option which is set to a '1' is enabled and set to a '0' is disabled. The options are bit masks such that multiple options may be set or cleared. The options are described in xtmrctr.h. Note: None.

void XTmrCtr_SetOptions | ( | XTmrCtr * | InstancePtr,
|  | u8 | TmrCtrNumber,
|  | u32 | Options
| ) |

  | Enables the specified options for the specified timer counter. This function sets the options without regard to the current options of the driver. To prevent a loss of the current options, the user should call XTmrCtr_GetOptions() prior to this function and modify the retrieved options to pass into this function to prevent loss of the current options. Parameters:
  | InstancePtr | is a pointer to the XTmrCtr instance.
  | TmrCtrNumber | is the timer counter of the device to operate on. Each device may contain multiple timer counters. The timer number is a zero based number with a range of 0 - (XTC_DEVICE_TIMER_COUNT - 1).
  | Options | contains the desired options to be set or cleared. Setting the option to '1' enables the option, clearing the to '0' disables the option. The options are bit masks such that multiple options may be set or cleared. The options are described in xtmrctr.h.
Returns: None. Note: None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.